=== debian/changelog ===
kf6-kconfig (6.19.0+p24.04+vstable+git20251015.0813-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:13:02 +0000

kf6-kconfig (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:49:50 +0000
