=== debian/control ===
Source: kf6-kconfig
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libxkbcommon-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kconfig
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kconfig.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kconfig
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kconfig
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6config-bin,
          libkf6config-data,
          libkf6config-doc,
          libkf6configcore6,
          libkf6configgui6,
          libkf6configqml6
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains runtime files for KConfig.

Package: kf6-kconfig-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kconfig (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libkf6config-bin-dev, libkf6config-dev, libkf6config-dev-bin
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6config-bin
Architecture: all
Depends: kf6-kconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6config-data
Architecture: all
Depends: kf6-kconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6config-doc
Architecture: all
Depends: kf6-kconfig-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6configcore6
Architecture: all
Depends: kf6-kconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6configgui6
Architecture: all
Depends: kf6-kconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6configqml6
Architecture: all
Depends: kf6-kconfig, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6config-dev
Architecture: all
Depends: kf6-kconfig-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6config-dev-bin
Architecture: all
Depends: kf6-kconfig-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6config-bin-dev
Architecture: all
Depends: kf6-kconfig-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
