## kf6-kconfig 6.19.0+p24.04+vstable+git20251028.0743

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 include(ECMDeprecationSettings)
 include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
 option(KCONFIG_USE_GUI "Build components using Qt6Gui" ON)
