=== debian/changelog ===
kf6-kconfig (6.20.0+p24.04+vunstable+git20251128.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 00:42:24 +0000

kf6-kconfig (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:52 +1000
