## kf6-kconfig 6.20.0+p24.04+vunstable+git20251204.0124

=== debian/changelog ===
kf6-kconfig (6.20.0+p24.04+vunstable+git20251204.0124-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:24:33 +0000
