## kf6-kconfig 6.21.0+p24.04+vstable+git20251226.0124

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,7 +60,7 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 
 add_subdirectory(src)
