## kf6-kconfig 6.21.0+p24.04+vunstable+git20251207.0531

=== debian/changelog ===
kf6-kconfig (6.21.0+p24.04+vunstable+git20251207.0531-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:31:07 +0000
